package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 对应数据库表(sys_tenant_account):
 */
public class SysTenantAccount {
	
	public enum AccountStatus implements BaseEnum<Integer, AccountStatus> {
		FREEZE(0, "冻结"), NORMAL(1, "正常"), LOGOUT(2, "注销");

		private Integer code;

		private String desc;

		AccountStatus(Integer code, String desc) {
			this.code = code;
			this.desc = desc;
		}

		public String getDesc() {
			return desc;
		}

		@Override
		public Integer getCode() {
			return this.code;
		}
	}

	/**  */
	private Integer userId;
	
	/** 可用分钟数 */
	private Integer availableMinutes;
	
	/** 冻结分钟数 */
	private Integer frozenMinutes;
	
	/** 账户状态(0,冻结,1,正常;-1,注销;) */
	private AccountStatus status;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setAvailableMinutes(Integer availableMinutes){
		this.availableMinutes = availableMinutes;
	}
	
	public Integer getAvailableMinutes(){
		return this.availableMinutes;
	}
			
	public void setFrozenMinutes(Integer frozenMinutes){
		this.frozenMinutes = frozenMinutes;
	}
	
	public Integer getFrozenMinutes(){
		return this.frozenMinutes;
	}
			
	public void setStatus(AccountStatus status){
		this.status = status;
	}
	
	public AccountStatus getStatus(){
		return this.status;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
